# -*- coding: utf-8 -*-
# Generated by Django 1.9.1 on 2016-03-29 20:25
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('scipost', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='ThesisLink',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('vetted', models.BooleanField(default=False)),
                ('type', models.CharField(choices=[('MA', "Master's"), ('PhD', 'Ph.D.'), ('Hab', 'Habilitation')], max_length=3)),
                ('discipline', models.CharField(choices=[('physics', 'Physics')], default='physics', max_length=20)),
                ('domain', models.CharField(blank=True, choices=[('E', 'Experimental'), ('T', 'Theoretical'), ('C', 'Computational'), ('ET', 'Exp. & Theor.'), ('EC', 'Exp. & Comp.'), ('TC', 'Theor. & Comp.'), ('ETC', 'Exp., Theor. & Comp.')], max_length=3)),
                ('specialization', models.CharField(blank=True, choices=[('A', 'Atomic, Molecular and Optical Physics'), ('B', 'Biophysics'), ('C', 'Condensed Matter Physics'), ('F', 'Fluid Dynamics'), ('G', 'Gravitation, Cosmology and Astroparticle Physics'), ('H', 'High-Energy Physics'), ('M', 'Mathematical Physics'), ('N', 'Nuclear Physics'), ('Q', 'Quantum Statistical Mechanics'), ('S', 'Statistical and Soft Matter Physics')], max_length=1)),
                ('open_for_commenting', models.BooleanField(default=True)),
                ('title', models.CharField(max_length=300, verbose_name='title')),
                ('pub_link', models.URLField(verbose_name='URL (external repository)')),
                ('author', models.CharField(max_length=1000)),
                ('supervisor', models.CharField(default='', max_length=1000)),
                ('institution', models.CharField(max_length=300, verbose_name='degree granting institution')),
                ('defense_date', models.DateField(verbose_name='date of thesis defense')),
                ('abstract', models.TextField(verbose_name='abstract, outline or summary')),
                ('latest_activity', models.DateTimeField(default=django.utils.timezone.now)),
                ('author_as_cont', models.ManyToManyField(blank=True, related_name='author_cont', to='scipost.Contributor')),
                ('author_claims', models.ManyToManyField(blank=True, related_name='authors_thesis_claims', to='scipost.Contributor')),
                ('author_false_claims', models.ManyToManyField(blank=True, related_name='authors_thesis_false_claims', to='scipost.Contributor')),
                ('requested_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='thesislink_requested_by', to='scipost.Contributor')),
                ('supervisor_as_cont', models.ManyToManyField(blank=True, related_name='supervisor_cont', to='scipost.Contributor', verbose_name='supervisor(s)')),
                ('vetted_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='scipost.Contributor')),
            ],
        ),
    ]
